<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <h1>Tipo de datos - String</h1>

    <script>
        let nombre = "Pedro";
        let mayuscula = "   ALERTA   ";
        console.log(nombre, nombre.length, nombre.toUpperCase());
        console.log(mayuscula.toLocaleLowerCase());
        //Para borrar espacios en blanco trim. Sirve para limpiarlos en un Login por ejemplo
        console.log(mayuscula.trim());
        let nombre2 = 'Luis';
        console.log(nombre2);
        console.log(nombre + " y " + nombre2 + " son amigos ");

        //template strings = interpolación sirve para encadenar como arriba pero con comillas francesas
        // símbolo a la derecha de la letra P. Siempre tiene que ser la de apertura.

        let interpolacion = `${nombre} y ${nombre2} son amigos`;
        console.log(interpolacion);



    </script>
</body>
</html>